Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 150447 - Evolution SEGV on startup
Summary: Evolution SEGV on startup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-03-06 20:01 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: evolution-2.8.2.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 20:43:03 UTC


Attachments (Terms of Use)

Description David Woodhouse 2005-03-06 20:01:11 UTC
Evolution segfaulted when I selected a mailing list folder which I hadn't looked
in for a while. Now it segfaults repeatedly on startup.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 808150528 (LWP 8508)]
0x0dfece38 in e_searching_tokenizer_match_count ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
(gdb) bt
#0  0x0dfece38 in e_searching_tokenizer_match_count ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#1  0x0dfece00 in e_searching_tokenizer_match_count ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#2  0x0f7ad40c in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#3  0x0f79c63c in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#4  0x0f79cc84 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0x0f7b1b84 in g_signal_connect_closure_by_id ()
   from /usr/lib/libgobject-2.0.so.0
#6  0x0f7b32a8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0x0f7b36dc in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0x0073b4fc in html_tokenizer_begin () from /usr/lib/libgtkhtml-3.6.so.15
#9  0x0070b0f8 in html_engine_begin () from /usr/lib/libgtkhtml-3.6.so.15
#10 0x006d20dc in gtk_html_begin_full () from /usr/lib/libgtkhtml-3.6.so.15
#11 0x006d29b0 in gtk_html_begin () from /usr/lib/libgtkhtml-3.6.so.15
#12 0x0e018a08 in em_format_html_job_queue ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#13 0x0e0142f8 in em_format_html_display_popup_menu ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#14 0x0e012b34 in em_format_html_display_set_search ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#15 0x0dfff6d4 in em_folder_browser_show_preview ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#16 0x0df62698 in ?? () from /usr/lib/evolution/2.2/libefilterbar.so.0
(gdb)

Comment 1 David Woodhouse 2005-03-08 09:05:15 UTC
Removing the directory from ~/.evolution/mail/imap/... which
corresponds to the offending IMAP folder fixes this problem.

Comment 2 Dave Malcolm 2005-03-09 15:46:34 UTC
I'm guessing this was a crash on building the Preview for an email. 
Any idea which message was causing the crash?

Comment 3 David Woodhouse 2005-03-11 02:08:58 UTC
It went away when I removed the offending folder's cache from my
~/.evolution directory. I have a tarball of the offending cache; will
investigate further when I get back next week.

Comment 4 Jeremy Katz 2005-04-28 01:06:16 UTC
Does this still occur?

Comment 8 Matthew Barnes 2007-01-02 17:52:14 UTC
Is this problem still present in Fedora Core 6 or later?

Comment 9 David Woodhouse 2007-01-02 20:23:17 UTC
Haven't seen it recently.

Comment 10 Matthew Barnes 2007-01-02 20:43:03 UTC
Closing for now, then.  Feel free to re-open this if you encounter the same
problem in Fedora Core 6 or later.


Note You need to log in before you can comment on or make changes to this bug.